package com.sinosig.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.client.model.IORGUSER;
import com.sinosig.util.SearchContext;

/**
 * 实体[ORGUSER] 服务对象接口
 */
public interface IORGUSERClientService{

    public IORGUSER createModel() ;

    public void get(IORGUSER orguser);

    public void update(IORGUSER orguser);

    public void create(IORGUSER orguser);

    public void remove(IORGUSER orguser);

    public Page<IORGUSER> fetchDefault(SearchContext context);

    public Page<IORGUSER> fetchCurOrgUser(SearchContext context);

    public Page<IORGUSER> select(SearchContext context);

    public void getDraft(IORGUSER orguser);

    public void checkKey(IORGUSER orguser);

    public void save(IORGUSER orguser);

}
